{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}
{% load url from future %}

{% block title %}
    {{ block.super }} {% trans "Subscriptions List" %}
{% endblock %}

{% block content %}
    {% if user.is_authenticated and request.user.is_superuser %}
        </h3>
        {% if object_list %}
            <table cellpadding="0" cellspacing="0" border="1" class="display" id="calendarTable">
                <thead>
                <tr>
                    <th>Title</th>
                    <th>User</th>
                    <th>Creation</th>
                    <th>Modification</th>
                </tr>
                </thead>
                <tbody>

                {% for publisher in object_list %}
                    <tr>
                        <td>
                            <a
                                    href="{% url 'calendar_detail' publisher.calendar.pk %}">{{ publisher.calendar }}</a>
                        </td>
                        <td>
                            {{ publisher.user }}
                        </td>
                        <td>{{ publisher.created_on }}</td>
                        <td>{{ publisher.edited_on }}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>

        {% endif %}
    {% endif %}
{% endblock %}


{% block css %}
    {% comment %}
    {{ block.super }}
{% endcomment %}
    <!-- extension jquery pour les tableaux -->
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>
{% endblock %}


{% block controleur_js %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>

    <script>
        $(document).ready(function () {
            $('#calendarTable').dataTable({
                "aaSorting": [
                    [ 1, "asc" ]
                ],
                "bPaginate": false
            });
        });
    </script>

{% endblock %}
